curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges?searchBy=Situation&search=Paid&dateBy=PaymentDate&startDate=2025-01-01&endDate=2025-01-31&page=1&limit=50' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
[
{
"type": "BANKSLIP",
"amount": 150.00,
"walletNumber": "112",
"yourNumber": "PED-2024-001",
"ourNumber": "00000520637",
"dueDate": "2025-01-15T00:00:00",
"barCode": "43595103800000000100001112000000600000520637",
"digitableLine": "43590001161200000060900005206370510380000000010",
"payer": {
"name": "JOÃO ALVES",
"document": "000007034346593",
"email": "joao@email.com",
"phone": { "prefix": "79", "number": "988669383" },
"address": {
"zipCode": "49010030",
"publicPlace": "AV. RIO BRANCO",
"neighborhood": "CENTRO",
"city": "ARACAJU",
"state": "SE"
}
},
"status": "Paid",
"payments": [
{
"amount": 150.00,
"source": "SILOC",
"issuer": {
"ispb": "00000000",
"code": "001",
"agency": "1234"
},
"date": "2025-01-14T00:00:00.000Z",
"paymentDate": "2025-01-13T00:00:00.000Z"
}
],
"createdAt": "2025-01-14T00:00:00"
}
]
{
"errors": ["Tipo de situação inválido."]
}
Boleto
Consultar pagamentos de boleto
Liste os boletos pagos em um período, com os dados de liquidação.
GET
/
baas
/
v1
/
charges
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges?searchBy=Situation&search=Paid&dateBy=PaymentDate&startDate=2025-01-01&endDate=2025-01-31&page=1&limit=50' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
[
{
"type": "BANKSLIP",
"amount": 150.00,
"walletNumber": "112",
"yourNumber": "PED-2024-001",
"ourNumber": "00000520637",
"dueDate": "2025-01-15T00:00:00",
"barCode": "43595103800000000100001112000000600000520637",
"digitableLine": "43590001161200000060900005206370510380000000010",
"payer": {
"name": "JOÃO ALVES",
"document": "000007034346593",
"email": "joao@email.com",
"phone": { "prefix": "79", "number": "988669383" },
"address": {
"zipCode": "49010030",
"publicPlace": "AV. RIO BRANCO",
"neighborhood": "CENTRO",
"city": "ARACAJU",
"state": "SE"
}
},
"status": "Paid",
"payments": [
{
"amount": 150.00,
"source": "SILOC",
"issuer": {
"ispb": "00000000",
"code": "001",
"agency": "1234"
},
"date": "2025-01-14T00:00:00.000Z",
"paymentDate": "2025-01-13T00:00:00.000Z"
}
],
"createdAt": "2025-01-14T00:00:00"
}
]
{
"errors": ["Tipo de situação inválido."]
}
Para o passo a passo completo, veja o guia Consultar Pagamentos.
Listar boletos pagos
GET /baas/v1/charges?searchBy=Situation&search=Paid&dateBy=PaymentDate&startDate=&endDate=&page=&limit=
Headers
string
required
Sua API key.
string
required
Número da conta Delfinance.
Query params
string
required
Tipo de filtro. Use
Situation.string
required
Situação do boleto. Use
Paid. Diferencia maiúsculas de minúsculas.string
required
Data usada no filtro de período:
PaymentDate (data da liquidação) ou DueDate (vencimento). Sem este parâmetro, o período é ignorado para boletos pagos.string
required
Data inicial no formato
YYYY-MM-DD.string
required
Data final no formato
YYYY-MM-DD, incluindo o próprio dia.number
default:"1"
Número da página (começa em 1).
number
default:"10"
Itens por página.
Response
Array de boletos pagos. A paginação vem no headerPagination (currentPage, pageSize, pageCount, rowCount).
string
Tipo da cobrança:
BANKSLIP ou BANKSLIP_PIX.number
Valor nominal do boleto.
string
Carteira:
"112" ou "121".string
Número do documento.
string
Nosso número. Use-o para conciliar.
string
Data de vencimento.
string
Código de barras.
string
Linha digitável.
object
Dados do pagador.
object
Configuração de desconto, se aplicável.
object
Configuração de multa, se aplicável.
object
Configuração de juros, se aplicável.
string
Status atual:
Paid.array
Dados da liquidação.
Show propriedades
Show propriedades
number
Valor efetivamente recebido, já com juros, multa e descontos.
string
Data em que o pagador pagou o boleto.
string
Data da baixa (liquidação) do boleto.
string
Origem da liquidação.
string
Data de registro do boleto.
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges?searchBy=Situation&search=Paid&dateBy=PaymentDate&startDate=2025-01-01&endDate=2025-01-31&page=1&limit=50' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
[
{
"type": "BANKSLIP",
"amount": 150.00,
"walletNumber": "112",
"yourNumber": "PED-2024-001",
"ourNumber": "00000520637",
"dueDate": "2025-01-15T00:00:00",
"barCode": "43595103800000000100001112000000600000520637",
"digitableLine": "43590001161200000060900005206370510380000000010",
"payer": {
"name": "JOÃO ALVES",
"document": "000007034346593",
"email": "joao@email.com",
"phone": { "prefix": "79", "number": "988669383" },
"address": {
"zipCode": "49010030",
"publicPlace": "AV. RIO BRANCO",
"neighborhood": "CENTRO",
"city": "ARACAJU",
"state": "SE"
}
},
"status": "Paid",
"payments": [
{
"amount": 150.00,
"source": "SILOC",
"issuer": {
"ispb": "00000000",
"code": "001",
"agency": "1234"
},
"date": "2025-01-14T00:00:00.000Z",
"paymentDate": "2025-01-13T00:00:00.000Z"
}
],
"createdAt": "2025-01-14T00:00:00"
}
]
{
"errors": ["Tipo de situação inválido."]
}

